from datetime import datetime

from pydantic import BaseModel

from src.db.models.comic import Volume


class VolumeResponse(BaseModel):
    id: str
    created_date: datetime
    last_modified_date: datetime
    version: int
    name: str
    comic_id: str

def volume_to_response(volume: Volume) -> VolumeResponse:
    response: VolumeResponse = VolumeResponse(
        id=volume.id,
        created_date=volume.created_date,
        last_modified_date=volume.last_modified_date,
        version=volume.version,
        name=volume.name,
        comic_id=volume.comic_id
    )
    return response
